org.apache.ignite.internal.visor.cache

## Class VisorCachePartitions

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCachePartitions

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorCachePartitions
    extends Object
    implements Serializable, LessNamingBean

Data transfer object for information about cache partitions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCachePartitions()` Default constructor.

### Method Summary

Methods
`void` `addBackup(int part, int heap, long offheap, long swap)` Add backup partition descriptor.
`void` `addPrimary(int part, int heap, long offheap, long swap)` Add primary partition descriptor.
`List<VisorCachePartition>` `backup()`
`List<VisorCachePartition>` `primary()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCachePartitions

    public VisorCachePartitions()

Default constructor.

### Method Detail

#### addPrimary

    public void addPrimary(int part,
                  int heap,
                  long offheap,
                  long swap)

Add primary partition descriptor.

Parameters:
  `part` - Partition id.
  `heap` - Number of primary keys in heap.
  `offheap` - Number of primary keys in offheap.
  `swap` - Number of primary keys in swap.

#### addBackup

    public void addBackup(int part,
                 int heap,
                 long offheap,
                 long swap)

Add backup partition descriptor.

Parameters:
  `part` - Partition id.
  `heap` - Number of backup keys in heap.
  `offheap` - Number of backup keys in offheap.
  `swap` - Number of backup keys in swap.

#### primary

    public List<VisorCachePartition> primary()

Returns:
  Get list of primary partitions.

#### backup

    public List<VisorCachePartition> backup()

Returns:
  Get list of backup partitions.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016